## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DirectoryEnumeratorFunctor Struct Template Reference

`#include <DirectoryEnumerator.hpp>`

Inheritance diagram for DirectoryEnumeratorFunctor:

[legend]
Collaboration diagram for DirectoryEnumeratorFunctor:

[legend]
List of all members.

## Public Types

- typedef std::unary_function<
  StringType, CollectionType> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- DirectoryEnumeratorFunctor (MemoryManager &theMemoryManager, bool fIncludeSelfAndParent=false)
- void operator() (const argument_type &theFullSearchSpec, CollectionType &theCollection) const
- result_type operator() (const argument_type &theFullSearchSpec) const
- void operator() (const argument_type &theDirectory, const argument_type &theSearchSpec, CollectionType &theCollection) const
- result_type operator() (const argument_type &theDirectory, const argument_type &theSearchSpec) const

### template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor> struct DirectoryEnumeratorFunctor

## Member Typedef Documentation

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
typedef std::unary_function< StringType, CollectionType > DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::BaseClassType<StringType, CollectionType>

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
typedef BaseClassType::argument_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::argument_type

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
typedef BaseClassType::result_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::result_type

## Constructor & Destructor Documentation

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction> ( | MemoryManager & theMemoryManager,
| bool fIncludeSelfAndParent = false )`[explicit]`

## Member Function Documentation

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
result_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theDirectory,
| const argument_type & theSearchSpec ) const

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
void DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theDirectory,
| const argument_type & theSearchSpec,
| CollectionType & theCollection ) const

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
result_type DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theFullSearchSpec ) const

template<class CollectionType, class StringType = XalanDOMString, class FilterPredicateType = FilesOnlyFilterPredicate, class StringConversionFunction = c_wstr_functor>
void DirectoryEnumeratorFunctor<CollectionType, StringType, FilterPredicateType, StringConversionFunction>::operator() ( | const argument_type & theFullSearchSpec,
| CollectionType & theCollection ) const

The documentation for this struct was generated from the following file:

- DirectoryEnumerator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.